#ifndef USER_H
#define USER_H

#include "basicentity.h"

class User: public BasicEntity
{
public:
    User();

    void setLogin(QString login){this->login = login;}
    QString getLogin(){return login;}

    void setPassword(QString password){this->password = password;}
    QString getPassword(){return password;}

    void setArchived(bool archived){this->archived = archived;}
    bool getArchived(){return archived;}

    void setLoggedIn(bool loggedIn){this->loggedIn = loggedIn;}
    bool getLoggedIn(){return loggedIn;}

private:
    QString login;
    QString password;
    bool archived;
    bool loggedIn;
};

#endif // USER_H
